org.jboss.resteasy.plugins.server.servlet

## Class ServletContainerDispatcher

- java.lang.Object
- - org.jboss.resteasy.plugins.server.servlet.ServletContainerDispatcher

-     public class ServletContainerDispatcher
      extends Object

  Helper/delegate class to unify Servlet and Filter dispatcher implementations
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ResteasyDeployment` | `deployment`
    `protected Dispatcher` | `dispatcher`
    `protected ResteasyProviderFactory` | `providerFactory`
    `protected HttpRequestFactory` | `requestFactory`
    `protected HttpResponseFactory` | `responseFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServletContainerDispatcher()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()`
    `Dispatcher` | `getDispatcher()`
    `void` | `init(javax.servlet.ServletContext servletContext, ConfigurationBootstrap bootstrap, HttpRequestFactory requestFactory, HttpResponseFactory responseFactory)`
    `protected void` | `processApplication(Application config)`
    `void` | `service(String httpMethod, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, boolean handleNotFound)`
    `void` | `setDispatcher(Dispatcher dispatcher)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### dispatcher

          protected Dispatcher dispatcher

    - #### providerFactory

          protected ResteasyProviderFactory providerFactory

    - #### deployment

          protected ResteasyDeployment deployment

    - #### requestFactory

          protected HttpRequestFactory requestFactory

    - #### responseFactory

          protected HttpResponseFactory responseFactory

  - ### Constructor Detail

    - #### ServletContainerDispatcher

          public ServletContainerDispatcher()

  - ### Method Detail

    - #### getDispatcher

          public Dispatcher getDispatcher()

    - #### init

          public void init(javax.servlet.ServletContext servletContext,
                  ConfigurationBootstrap bootstrap,
                  HttpRequestFactory requestFactory,
                  HttpResponseFactory responseFactory)
                    throws javax.servlet.ServletException

      Throws:
        `javax.servlet.ServletException`

    - #### destroy

          public void destroy()

    - #### processApplication

          protected void processApplication(Application config)

    - #### setDispatcher

          public void setDispatcher(Dispatcher dispatcher)

    - #### service

          public void service(String httpMethod,
                     javax.servlet.http.HttpServletRequest request,
                     javax.servlet.http.HttpServletResponse response,
                     boolean handleNotFound)
                       throws IOException,
                              NotFoundException

      Throws:
        `IOException`
        `NotFoundException`

Copyright © 2014. All Rights Reserved.